#!/bin/sh

SCRIPTS_PATH=$('pwd')
PRODUCT_PATH=$SCRIPTS_PATH/../

PKG_VERSION="1.34.3"

export NPM_TOKEN="b143e4c0-6914-4264-9fe2-00231a7894fd"

cd $PRODUCT_PATH/backend
rm -Rf ./vendor/
wget -O vendor.tar.gz https://gabrielxavier3.zeedhi.com/workfolder/vendor.tar.gz
tar -vzxf vendor.tar.gz && rm -rf vendor.tar.gz

cd $PRODUCT_PATH/frontend/

$SCRIPTS_PATH/replace.sh "0.0.0" "$PKG_VERSION" "src/App.vue"
$SCRIPTS_PATH/replace.sh "<VUE_APP_END_POINT>" "\/backend\/index.php" ".env.production"
$SCRIPTS_PATH/replace.sh "<VUE_APP_METADATA_END_POINT>" "\/" ".env.production"
$SCRIPTS_PATH/replace.sh "<VUE_APP_ENABLED_ACCESS_PROFILE>" "YES" ".env.production"

cd $PRODUCT_PATH/frontend

npm i
npm run build

rm -rf $PRODUCT_PATH/frontend/assets
rm -rf $PRODUCT_PATH/frontend/img
rm -rf $PRODUCT_PATH/frontend/metadata
rm -rf $PRODUCT_PATH/frontend/*.txt
rm -rf $PRODUCT_PATH/frontend/.env.*
rm -rf $PRODUCT_PATH/frontend/index.html
rm -rf $PRODUCT_PATH/frontend/*.json
rm -rf $PRODUCT_PATH/frontend/*.js
mv $PRODUCT_PATH/frontend/dist/* $PRODUCT_PATH/frontend/

$SCRIPTS_PATH/replace.sh "<>APPLICATION_VERSION<>" "$PKG_VERSION" $PRODUCT_PATH/productInfo.json

rm -Rf ./src/
rm -Rf ./public/

rm -Rf ci_scripts/

